EndpointsCoworlds
Upload Coworld manifest
POST
/v2/coworlds/uploadValidates and publishes a Coworld manifest, then starts certification.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
manifest*
Coworld manifest to validate and publish.
Properties
1 <= propertiesvisibility?|
Public or uploader-and-Softmax-team visibility. Updates inherit the existing value.
curl -X POST "https://softmax.com/api/observatory/v2/coworlds/upload" \ -H "Content-Type: application/json" \ -d '{ "manifest": {} }'{ "name": "string", "id": "string", "version": "string", "visibility": "public", "manifest": {}, "api_version": "string", "schema_hash": "string", "manifest_hash": "string", "size_bytes": 0, "canonical": true, "forum_markdown_url": "string", "wiki_markdown_url": "string", "documentation_url": "string", "certification_status_url": "string", "certification_transcript_url": "string"}